org.apache.calcite.avatica.remote

## Class Service.CreateStatementRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.CreateStatementRequest

Enclosing interface:
  Service

    public static class Service.CreateStatementRequest
    extends Service.Request

Request for `Meta.createStatement(org.apache.calcite.avatica.Meta.ConnectionHandle)`.

### Field Summary

Fields
`String` `connectionId`

### Constructor Summary

Constructors
Constructor and Description
`CreateStatementRequest(String connectionId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connectionId

    public final String connectionId

### Constructor Detail

#### CreateStatementRequest

    public CreateStatementRequest(String connectionId)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`